<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/background"
    tools:context=".ui.home.HomeFragment">

    <TextView
        android:id="@+id/text_home"
        android:layout_width="309dp"
        android:layout_height="wrap_content"
        android:gravity="center_horizontal"
        android:textAlignment="center"
        android:textColor="#FFFFFF"
        android:textSize="20sp"
        app:layout_constraintBottom_toTopOf="@+id/ipInput"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/login_data"
        android:layout_width="204dp"
        android:layout_height="46dp"
        android:gravity="center_horizontal"
        android:textAlignment="center"
        android:textColor="#00FF00"
        android:textSize="14sp"
        app:layout_constraintBottom_toTopOf="@+id/ipInput"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent" />

    <TextView
        android:id="@+id/textView2"
        android:layout_width="253dp"
        android:layout_height="wrap_content"
        android:gravity="center_horizontal"
        android:text="Please connect to your automationserver!"
        android:textAlignment="center"
        android:textColor="#FFFFFF"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/text_home" />

    <EditText
        android:id="@+id/ipInput"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:backgroundTint="#FFFFFF"
        android:ems="10"
        android:hint="IP-Adresse"
        android:inputType="text"
        android:textColor="#FFFFFF"
        android:textColorHint="#FFFFFF"
        app:layout_constraintBottom_toTopOf="@+id/userInput"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.497"
        app:layout_constraintStart_toStartOf="parent" />

    <EditText
        android:id="@+id/userInput"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:backgroundTint="#FFFFFF"
        android:ems="10"
        android:hint="Benutzername"
        android:inputType="textEmailAddress"
        android:textColor="#FFFFFF"
        android:textColorHint="#FFFFFF"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.497"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <EditText
        android:id="@+id/passwordInput"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:backgroundTint="#FFFFFF"
        android:ems="10"
        android:hint="Passwort"
        android:inputType="textPassword"
        android:textColor="#FFFFFF"
        android:textColorHint="#FFFFFF"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.497"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/userInput" />

    <Button
        android:id="@+id/loginButton"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="Login"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/passwordInput" />

    <Button
        android:id="@+id/wlan_an"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="118dp"
        android:layout_marginLeft="118dp"
        android:text="AN"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@+id/wlan_aus"
        app:layout_constraintTop_toBottomOf="@+id/textView5" />

    <Button
        android:id="@+id/wlan_aus"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="AUS"
        app:layout_constraintEnd_toStartOf="@+id/wlan_an"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/textView5" />

    <TextView
        android:id="@+id/textView5"
        android:layout_width="376dp"
        android:layout_height="28dp"
        android:layout_marginBottom="100dp"
        android:gravity="center_horizontal"
        android:text="WLAN"
        android:textAlignment="center"
        android:textColor="#FFFFFF"
        android:textSize="20sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.542"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/loginButton" />

</androidx.constraintlayout.widget.ConstraintLayout>

